#ifndef CDOS_APT_REMOVE_H
#define CDOS_APT_REMOVE_H
#include <apt-pkg/cachefile.h>

namespace Cdos {
    class AptRemove
    {
    public:
        AptRemove();
        ~AptRemove();
        int isDeleteOK(const char* packageName);
        int setUnRemoveList(const char *unRemove[], int listLength);
        int delUnRemoveList(const char *unRemove[], int listLength);
        int markDelete(const char* packageName);
        int doRemove(void* p = NULL);
        char* getDeletePackage();

    private:
        pkgCacheFile* mCache;
        char* delPackageStr;
    };
}

#endif