/**
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 * 
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
**/

#ifndef __CDOS_AUDIT_QUERY_RESULT_H__
#define __CDOS_AUDIT_QUERY_RESULT_H__

#include <core/cdos-def.h>
#include <time.h>

CDOS_BEGIN_DECLS

typedef struct _CdosAuQueryResult {
    struct tm* time;
    char* operationUser;
    char* operation;
    int operationExitCode;
} CdosAuQueryResult;

CDOS_EXPORT CdosAuQueryResult* cdos_au_query_result_create();

CDOS_EXPORT void cdos_au_query_result_destroy(CdosAuQueryResult** result);

CDOS_END_DECLS

#endif // __CDOS_AUDIT_QUERY_RESULT_H__